<?php
$tdatabio_socio = array();
$tdatabio_socio[".searchableFields"] = array();
$tdatabio_socio[".ShortName"] = "bio_socio";
$tdatabio_socio[".OwnerID"] = "";
$tdatabio_socio[".OriginalTable"] = "bio-socio";


$tdatabio_socio[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatabio_socio[".originalPagesByType"] = $tdatabio_socio[".pagesByType"];
$tdatabio_socio[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatabio_socio[".originalPages"] = $tdatabio_socio[".pages"];
$tdatabio_socio[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatabio_socio[".originalDefaultPages"] = $tdatabio_socio[".defaultPages"];

//	field labels
$fieldLabelsbio_socio = array();
$fieldToolTipsbio_socio = array();
$pageTitlesbio_socio = array();
$placeHoldersbio_socio = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsbio_socio["Spanish"] = array();
	$fieldToolTipsbio_socio["Spanish"] = array();
	$placeHoldersbio_socio["Spanish"] = array();
	$pageTitlesbio_socio["Spanish"] = array();
	$fieldLabelsbio_socio["Spanish"]["empleadoID"] = "CI";
	$fieldToolTipsbio_socio["Spanish"]["empleadoID"] = "";
	$placeHoldersbio_socio["Spanish"]["empleadoID"] = "";
	$fieldLabelsbio_socio["Spanish"]["descrpcion"] = "Descrpcion";
	$fieldToolTipsbio_socio["Spanish"]["descrpcion"] = "";
	$placeHoldersbio_socio["Spanish"]["descrpcion"] = "";
	$fieldLabelsbio_socio["Spanish"]["nombredis"] = "Nombredis";
	$fieldToolTipsbio_socio["Spanish"]["nombredis"] = "";
	$placeHoldersbio_socio["Spanish"]["nombredis"] = "";
	$fieldLabelsbio_socio["Spanish"]["sndis"] = "Sndis";
	$fieldToolTipsbio_socio["Spanish"]["sndis"] = "";
	$placeHoldersbio_socio["Spanish"]["sndis"] = "";
	$fieldLabelsbio_socio["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsbio_socio["Spanish"]["nombre"] = "";
	$placeHoldersbio_socio["Spanish"]["nombre"] = "";
	$fieldLabelsbio_socio["Spanish"]["apellido_Paterno"] = "Apellido Paterno";
	$fieldToolTipsbio_socio["Spanish"]["apellido_Paterno"] = "";
	$placeHoldersbio_socio["Spanish"]["apellido_Paterno"] = "";
	$fieldLabelsbio_socio["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipsbio_socio["Spanish"]["nombres"] = "";
	$placeHoldersbio_socio["Spanish"]["nombres"] = "";
	$fieldLabelsbio_socio["Spanish"]["apellido_Materno"] = "Apellido Materno";
	$fieldToolTipsbio_socio["Spanish"]["apellido_Materno"] = "";
	$placeHoldersbio_socio["Spanish"]["apellido_Materno"] = "";
	$fieldLabelsbio_socio["Spanish"]["fecha_Nacimiento"] = "Fecha Nacimiento";
	$fieldToolTipsbio_socio["Spanish"]["fecha_Nacimiento"] = "";
	$placeHoldersbio_socio["Spanish"]["fecha_Nacimiento"] = "";
	$fieldLabelsbio_socio["Spanish"]["lugar_Nacimiento"] = "Lugar Nacimiento";
	$fieldToolTipsbio_socio["Spanish"]["lugar_Nacimiento"] = "";
	$placeHoldersbio_socio["Spanish"]["lugar_Nacimiento"] = "";
	$fieldLabelsbio_socio["Spanish"]["direccion"] = "Direccion";
	$fieldToolTipsbio_socio["Spanish"]["direccion"] = "";
	$placeHoldersbio_socio["Spanish"]["direccion"] = "";
	$fieldLabelsbio_socio["Spanish"]["profesion"] = "Profesion";
	$fieldToolTipsbio_socio["Spanish"]["profesion"] = "";
	$placeHoldersbio_socio["Spanish"]["profesion"] = "";
	$fieldLabelsbio_socio["Spanish"]["id_Socio"] = "Id Socio";
	$fieldToolTipsbio_socio["Spanish"]["id_Socio"] = "";
	$placeHoldersbio_socio["Spanish"]["id_Socio"] = "";
	$fieldLabelsbio_socio["Spanish"]["foto_actual"] = "Foto Actual";
	$fieldToolTipsbio_socio["Spanish"]["foto_actual"] = "";
	$placeHoldersbio_socio["Spanish"]["foto_actual"] = "";
	if (count($fieldToolTipsbio_socio["Spanish"]))
		$tdatabio_socio[".isUseToolTips"] = true;
}


	$tdatabio_socio[".NCSearch"] = true;



$tdatabio_socio[".shortTableName"] = "bio_socio";
$tdatabio_socio[".nSecOptions"] = 0;

$tdatabio_socio[".recsLimit"] = 1;
$tdatabio_socio[".mainTableOwnerID"] = "";
$tdatabio_socio[".entityType"] = 0;
$tdatabio_socio[".connId"] = "bsn_dividendos_at_localhost";


$tdatabio_socio[".strOriginalTableName"] = "bio-socio";

	



$tdatabio_socio[".showAddInPopup"] = false;

$tdatabio_socio[".showEditInPopup"] = false;

$tdatabio_socio[".showViewInPopup"] = false;

$tdatabio_socio[".listAjax"] = false;
//	temporary
//$tdatabio_socio[".listAjax"] = false;

	$tdatabio_socio[".audit"] = true;

	$tdatabio_socio[".locking"] = true;


$pages = $tdatabio_socio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatabio_socio[".edit"] = true;
	$tdatabio_socio[".afterEditAction"] = 1;
	$tdatabio_socio[".closePopupAfterEdit"] = 1;
	$tdatabio_socio[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatabio_socio[".add"] = true;
$tdatabio_socio[".afterAddAction"] = 1;
$tdatabio_socio[".closePopupAfterAdd"] = 1;
$tdatabio_socio[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatabio_socio[".list"] = true;
}



$tdatabio_socio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatabio_socio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatabio_socio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatabio_socio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatabio_socio[".printFriendly"] = true;
}



$tdatabio_socio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatabio_socio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatabio_socio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatabio_socio[".isUseAjaxSuggest"] = true;



																																																																																	

$tdatabio_socio[".ajaxCodeSnippetAdded"] = false;

$tdatabio_socio[".buttonsAdded"] = false;

$tdatabio_socio[".addPageEvents"] = true;

// use timepicker for search panel
$tdatabio_socio[".isUseTimeForSearch"] = false;


$tdatabio_socio[".badgeColor"] = "D2691E";


$tdatabio_socio[".allSearchFields"] = array();
$tdatabio_socio[".filterFields"] = array();
$tdatabio_socio[".requiredSearchFields"] = array();

$tdatabio_socio[".googleLikeFields"] = array();
$tdatabio_socio[".googleLikeFields"][] = "empleadoID";
$tdatabio_socio[".googleLikeFields"][] = "descrpcion";
$tdatabio_socio[".googleLikeFields"][] = "nombredis";
$tdatabio_socio[".googleLikeFields"][] = "sndis";
$tdatabio_socio[".googleLikeFields"][] = "nombre";
$tdatabio_socio[".googleLikeFields"][] = "apellido_Paterno";
$tdatabio_socio[".googleLikeFields"][] = "nombres";
$tdatabio_socio[".googleLikeFields"][] = "apellido_Materno";
$tdatabio_socio[".googleLikeFields"][] = "fecha_Nacimiento";
$tdatabio_socio[".googleLikeFields"][] = "lugar_Nacimiento";
$tdatabio_socio[".googleLikeFields"][] = "direccion";
$tdatabio_socio[".googleLikeFields"][] = "profesion";
$tdatabio_socio[".googleLikeFields"][] = "id_Socio";
$tdatabio_socio[".googleLikeFields"][] = "foto_actual";



$tdatabio_socio[".tableType"] = "list";

$tdatabio_socio[".printerPageOrientation"] = 0;
$tdatabio_socio[".nPrinterPageScale"] = 100;

$tdatabio_socio[".nPrinterSplitRecords"] = 40;

$tdatabio_socio[".geocodingEnabled"] = false;










$tdatabio_socio[".pageSize"] = 20;

$tdatabio_socio[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY fechahora DESC";
$tdatabio_socio[".strOrderBy"] = $tstrOrderBy;

$tdatabio_socio[".orderindexes"] = array();


$tdatabio_socio[".sqlHead"] = "SELECT empleadoID,  descrpcion,  nombredis,  sndis,  nombre,  apellido_Paterno,  nombres,  apellido_Materno,  fecha_Nacimiento,  lugar_Nacimiento,  direccion,  profesion,  id_Socio,  foto_actual";
$tdatabio_socio[".sqlFrom"] = "FROM `bio-socio`";
$tdatabio_socio[".sqlWhereExpr"] = "";
$tdatabio_socio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatabio_socio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatabio_socio[".arrGroupsPerPage"] = $arrGPP;

$tdatabio_socio[".highlightSearchResults"] = true;

$tableKeysbio_socio = array();
$tableKeysbio_socio[] = "id_Socio";
$tdatabio_socio[".Keys"] = $tableKeysbio_socio;


$tdatabio_socio[".hideMobileList"] = array();




//	empleadoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "empleadoID";
	$fdata["GoodName"] = "empleadoID";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","empleadoID");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "empleadoID";

		$fdata["sourceSingle"] = "empleadoID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "empleadoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["empleadoID"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "empleadoID";
//	descrpcion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "descrpcion";
	$fdata["GoodName"] = "descrpcion";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","descrpcion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "descrpcion";

		$fdata["sourceSingle"] = "descrpcion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descrpcion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["descrpcion"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "descrpcion";
//	nombredis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nombredis";
	$fdata["GoodName"] = "nombredis";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","nombredis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombredis";

		$fdata["sourceSingle"] = "nombredis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombredis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["nombredis"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "nombredis";
//	sndis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "sndis";
	$fdata["GoodName"] = "sndis";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","sndis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "sndis";

		$fdata["sourceSingle"] = "sndis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sndis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["sndis"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "sndis";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["nombre"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "nombre";
//	apellido_Paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "apellido_Paterno";
	$fdata["GoodName"] = "apellido_Paterno";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","apellido_Paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Paterno";

		$fdata["sourceSingle"] = "apellido_Paterno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_Paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["apellido_Paterno"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "apellido_Paterno";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

		$fdata["sourceSingle"] = "nombres";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["nombres"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "nombres";
//	apellido_Materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "apellido_Materno";
	$fdata["GoodName"] = "apellido_Materno";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","apellido_Materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Materno";

		$fdata["sourceSingle"] = "apellido_Materno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_Materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["apellido_Materno"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "apellido_Materno";
//	fecha_Nacimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "fecha_Nacimiento";
	$fdata["GoodName"] = "fecha_Nacimiento";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","fecha_Nacimiento");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Nacimiento";

		$fdata["sourceSingle"] = "fecha_Nacimiento";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Nacimiento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["fecha_Nacimiento"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "fecha_Nacimiento";
//	lugar_Nacimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "lugar_Nacimiento";
	$fdata["GoodName"] = "lugar_Nacimiento";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","lugar_Nacimiento");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "lugar_Nacimiento";

		$fdata["sourceSingle"] = "lugar_Nacimiento";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "lugar_Nacimiento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["lugar_Nacimiento"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "lugar_Nacimiento";
//	direccion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "direccion";
	$fdata["GoodName"] = "direccion";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","direccion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "direccion";

		$fdata["sourceSingle"] = "direccion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "direccion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["direccion"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "direccion";
//	profesion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "profesion";
	$fdata["GoodName"] = "profesion";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","profesion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "profesion";

		$fdata["sourceSingle"] = "profesion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "profesion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["profesion"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "profesion";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","id_Socio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Socio";

		$fdata["sourceSingle"] = "id_Socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["id_Socio"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "id_Socio";
//	foto_actual
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "foto_actual";
	$fdata["GoodName"] = "foto_actual";
	$fdata["ownerTable"] = "bio-socio";
	$fdata["Label"] = GetFieldLabel("bio_socio","foto_actual");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "foto_actual";

		$fdata["sourceSingle"] = "foto_actual";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "foto_actual";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 1;
	$vdata["maxImages"] = 0;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabio_socio["foto_actual"] = $fdata;
		$tdatabio_socio[".searchableFields"][] = "foto_actual";


$tables_data["bio-socio"]=&$tdatabio_socio;
$field_labels["bio_socio"] = &$fieldLabelsbio_socio;
$fieldToolTips["bio_socio"] = &$fieldToolTipsbio_socio;
$placeHolders["bio_socio"] = &$placeHoldersbio_socio;
$page_titles["bio_socio"] = &$pageTitlesbio_socio;


changeTextControlsToDate( "bio-socio" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["bio-socio"] = array();
//	kardex_pago_bio
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="kardex_pago_bio";
		$detailsParam["dOriginalTable"] = "pago_dp";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "kardex_pago_bio";
	$detailsParam["dCaptionTable"] = GetTableCaption("kardex_pago_bio");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["bio-socio"][$dIndex] = $detailsParam;

	
		$detailsTablesData["bio-socio"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["bio-socio"][$dIndex]["masterKeys"][]="id_Socio";

				$detailsTablesData["bio-socio"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["bio-socio"][$dIndex]["detailKeys"][]="accionista";
//	kardex_total_bio
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="kardex_total_bio";
		$detailsParam["dOriginalTable"] = "acciones_pagadas_pendientes";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "kardex_total_bio";
	$detailsParam["dCaptionTable"] = GetTableCaption("kardex_total_bio");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["bio-socio"][$dIndex] = $detailsParam;

	
		$detailsTablesData["bio-socio"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["bio-socio"][$dIndex]["masterKeys"][]="id_Socio";

				$detailsTablesData["bio-socio"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["bio-socio"][$dIndex]["detailKeys"][]="id_socio";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["bio-socio"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_bio_socio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "empleadoID,  descrpcion,  nombredis,  sndis,  nombre,  apellido_Paterno,  nombres,  apellido_Materno,  fecha_Nacimiento,  lugar_Nacimiento,  direccion,  profesion,  id_Socio,  foto_actual";
$proto0["m_strFrom"] = "FROM `bio-socio`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY fechahora DESC";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "empleadoID",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto6["m_sql"] = "empleadoID";
$proto6["m_srcTableName"] = "bio-socio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "descrpcion",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto8["m_sql"] = "descrpcion";
$proto8["m_srcTableName"] = "bio-socio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nombredis",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto10["m_sql"] = "nombredis";
$proto10["m_srcTableName"] = "bio-socio";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "sndis",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto12["m_sql"] = "sndis";
$proto12["m_srcTableName"] = "bio-socio";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto14["m_sql"] = "nombre";
$proto14["m_srcTableName"] = "bio-socio";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Paterno",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto16["m_sql"] = "apellido_Paterno";
$proto16["m_srcTableName"] = "bio-socio";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto18["m_sql"] = "nombres";
$proto18["m_srcTableName"] = "bio-socio";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Materno",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto20["m_sql"] = "apellido_Materno";
$proto20["m_srcTableName"] = "bio-socio";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Nacimiento",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto22["m_sql"] = "fecha_Nacimiento";
$proto22["m_srcTableName"] = "bio-socio";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "lugar_Nacimiento",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto24["m_sql"] = "lugar_Nacimiento";
$proto24["m_srcTableName"] = "bio-socio";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "direccion",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto26["m_sql"] = "direccion";
$proto26["m_srcTableName"] = "bio-socio";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "profesion",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto28["m_sql"] = "profesion";
$proto28["m_srcTableName"] = "bio-socio";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto30["m_sql"] = "id_Socio";
$proto30["m_srcTableName"] = "bio-socio";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "foto_actual",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto32["m_sql"] = "foto_actual";
$proto32["m_srcTableName"] = "bio-socio";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "bio-socio";
$proto35["m_srcTableName"] = "bio-socio";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "empleadoID";
$proto35["m_columns"][] = "fechahora";
$proto35["m_columns"][] = "fecha";
$proto35["m_columns"][] = "hora";
$proto35["m_columns"][] = "descrpcion";
$proto35["m_columns"][] = "nombredis";
$proto35["m_columns"][] = "sndis";
$proto35["m_columns"][] = "nombre";
$proto35["m_columns"][] = "ci";
$proto35["m_columns"][] = "apellido_Paterno";
$proto35["m_columns"][] = "nombres";
$proto35["m_columns"][] = "ci1";
$proto35["m_columns"][] = "apellido_Materno";
$proto35["m_columns"][] = "fecha_Nacimiento";
$proto35["m_columns"][] = "lugar_Nacimiento";
$proto35["m_columns"][] = "direccion";
$proto35["m_columns"][] = "profesion";
$proto35["m_columns"][] = "telefono";
$proto35["m_columns"][] = "celular";
$proto35["m_columns"][] = "sexo";
$proto35["m_columns"][] = "estado";
$proto35["m_columns"][] = "estado_Civil";
$proto35["m_columns"][] = "id_Socio";
$proto35["m_columns"][] = "foto_actual";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "`bio-socio`";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "bio-socio";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto38=array();
						$obj = new SQLField(array(
	"m_strName" => "fechahora",
	"m_strTable" => "bio-socio",
	"m_srcTableName" => "bio-socio"
));

$proto38["m_column"]=$obj;
$proto38["m_bAsc"] = 0;
$proto38["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto38);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="bio-socio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_bio_socio = createSqlQuery_bio_socio();


	
				;

														

$tdatabio_socio[".sqlquery"] = $queryData_bio_socio;



include_once(getabspath("include/bio_socio_events.php"));
$tdatabio_socio[".hasEvents"] = true;

?>